Extending Qt Creator Manual | State

Extending Qt Creator Manual 4.5.2

# State Class

(QmlJS::CodeFormatter::State)

- List of all members, including inherited members

## Public Functions

| State()
| State(quint8 ty, quint16 savedDepth)
bool | operator==(const State &other) const

## Member Function Documentation

### State::State()

Default constructs an instance of State.

### State::State(quint8 ty, quint16 savedDepth)

Default constructs an instance of State.

### bool State::operator==(const State &other) const